Belune
MaintenanceAdmin only

Update WAF

PUT
/api/maintenance/proxy/waf
AuthorizationBearer <token>

Personal access token whose scope satisfies write.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/maintenance/proxy/waf" \  -H "Content-Type: application/json" \  -d '{}'
{  "capability": {    "module": "string",    "state": "string"  },  "enabled": true,  "max_events": 0,  "mode": "string",  "recorder": {    "dropped": 0,    "last_error": "string",    "last_error_at": "2019-08-24T14:15:22Z",    "malformed": 0,    "recorded": 0,    "since": "2019-08-24T14:15:22Z"  },  "retention_days": 0,  "state": {    "active": true,    "error": "string",    "hosts": 0,    "reason": "string"  },  "summary": {    "clients": 0,    "events": 0,    "requests": 0,    "top_clients": [      {        "client_ip": "string",        "events": 0,        "last_seen": "2019-08-24T14:15:22Z"      }    ],    "top_rules": [      {        "category": "string",        "events": 0,        "message": "string",        "rule_id": 0      }    ],    "window_hours": 0  }}